PHP Manual
Prev |  | Next

# imap_rfc822_parse_adrlist

(PHP 3 >= 3.0.2, PHP 4, PHP 5)

imap_rfc822_parse_adrlist -- Parses an address string

## Description

array imap_rfc822_parse_adrlist ( string address, string default_host )

Parses the address string as defined in RFC2822 and for each address.

## Parameters

`address`

  A string containing addresses

`default_host`

  The default host name

## Return Values

Returns an array of objects. The objects properties are:

- mailbox - the mailbox name (username)

- host - the host name

- personal - the personal name

- adl - at domain source route

## Examples

Example 1. imap_rfc822_parse_adrlist() example

`<?php
$address_string = "Joe Doe <doe@example.com>, postmaster@example.com, root";
$address_array = imap_rfc822_parse_adrlist($address_string, "example.com");
if (!is_array($address_array) || count($address_array) < 1) {
die("something is wrong\n");
}
foreach ($address_array as $id => $val) {
echo "# $id\n";
echo " mailbox : " . $val->mailbox . "\n";
echo " host : " . $val->host . "\n";
echo " personal: " . $val->personal . "\n";
echo " adl : " . $val->adl . "\n";
}
?>`

The above example will output:

    # 0
      mailbox : doe
      host    : example.com
      personal: Joe Doe
      adl     :
    # 1
      mailbox : postmaster
      host    : example.com
      personal:
      adl     :
    # 2
      mailbox : root
      host    : example.com
      personal:
      adl     :

## See Also

imap_rfc822_parse_headers()

Prev | Home | Next
imap_reopen | Up | imap_rfc822_parse_headers